#include<iostream>
#include <string>
#include<cmath>

using namespace std;

int main(){
  int n, o, a, b, ab;
  cin >> n;
  cin >> o >> a >> b >> ab;
  string a[n] ;
  for(int i=0; i<n; i++)
  {
  	getline(cin, a[i]);
  }
  cout << "nemoguce";
  return 0;
}